elftosb::BinarySourceFile Class Reference

Binary data file. More...

`#include <SourceFile.h>`

Inheritance diagram for elftosb::BinarySourceFile:
[legend]
Collaboration diagram for elftosb::BinarySourceFile:
[legend]

## Public Member Functions

| BinarySourceFile (const std::string &path)
| Default constructor.
virtual DataSource * | createDataSource ()
| Creates an unmapped data source from the entire file.
virtual bool | hasEntryPoint ()
| Returns true if an entry point was set in the file.
Format capabilities
virtual bool | supportsNamedSections () const
virtual bool | supportsNamedSymbols () const
Public Member Functions inherited from elftosb::SourceFile
| SourceFile (const std::string &path)
| Default constructor.
virtual | ~SourceFile ()
| Destructor. More...
void | setOptions (OptionContext *context)
| Set the option context. More...
const OptionContext * | getOptions () const
| Return the option context.
const std::string & | getPath () const
| Returns the path to the file.
unsigned | getSize ()
| Get the size in bytes of the file.
virtual void | open ()
| Opens the file. More...
virtual void | close ()
| Closes the file.
virtual bool | isOpen () const
| Returns whether the file is already open.
virtual DataSource * | createDataSource (StringMatcher &matcher)
| Creates a data source out of one or more sections of the file. More...
virtual DataSource * | createDataSource (const std::string &section)
| Creates a data source out of one section of the file. More...
virtual uint32_t | getEntryPointAddress ()
| Returns the entry point address.
virtual DataTarget * | createDataTargetForSection (const std::string &section)
virtual DataTarget * | createDataTargetForSymbol (const std::string &symbol)
virtual DataTarget * | createDataTargetForEntryPoint ()
virtual bool | hasSymbol (const std::string &name)
| Returns whether a symbol exists in the source file.
virtual uint32_t | getSymbolValue (const std::string &name)
| Returns the value of a symbol.
virtual unsigned | getSymbolSize (const std::string &name)
| Returns the size of a symbol.

## Additional Inherited Members

Static Public Member Functions inherited from elftosb::SourceFile
static SourceFile * | openFile (const std::string &path)
Protected Member Functions inherited from elftosb::SourceFile
std::ifstream * | getStream ()
| Internal access to the input stream object.
Protected Attributes inherited from elftosb::SourceFile
std::string | m_path
| Path to the file.
smart_ptr< std::ifstream > | m_stream
| File stream, or NULL if file is closed.
smart_ptr< OptionContext > | m_options
| Table of option values.

## Detailed Description

Binary data file.

The documentation for this class was generated from the following files:

- apps/elftosb/common/SourceFile.h
- apps/elftosb/common/SourceFile.cpp